DisabledNameservice (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.records, class: DisabledNameservice

Package org.apache.hadoop.hdfs.server.federation.store.records

# Class DisabledNameservice

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord
org.apache.hadoop.hdfs.server.federation.store.records.DisabledNameservice

All Implemented Interfaces:
  `Comparable<BaseRecord>`

Direct Known Subclasses:
  `DisabledNameservicePBImpl`

public abstract class DisabledNameservice extends BaseRecord
Data record indicating a specific name service ID has been disabled and is no longer valid. Allows quick disabling of name services.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord

  `ERROR_MSG_CREATION_TIME_NEGATIVE, ERROR_MSG_MODIFICATION_TIME_NEGATIVE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisabledNameservice()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getExpirationMs()`
  Get the expiration time for the record.
  `abstract String`
  `getNameserviceId()`
  Get the identifier of the name service to disable.
  `SortedMap<String,String>`
  `getPrimaryKeys()`
  Map of primary key names to values for the record.
  `boolean`
  `hasOtherFields()`
  If the record has fields others than the primary keys.
  `static DisabledNameservice`
  `newInstance()`
  `static DisabledNameservice`
  `newInstance(String nsId)`
  `abstract void`
  `setNameserviceId(String nameServiceId)`
  Set the identifier of the name service to disable.

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.records.BaseRecord

  `checkExpired, compareTo, equals, generateMashupKey, getDateCreated, getDateModified, getDeletionMs, getPrimaryKey, hashCode, init, isExpired, like, setDateCreated, setDateModified, shouldBeDeleted, toString, validate`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DisabledNameservice

    public DisabledNameservice()

- ## Method Details

  - ### newInstance

    public static DisabledNameservice newInstance() throws IOException
    Throws:
      `IOException`

  - ### newInstance

    public static DisabledNameservice newInstance(String nsId) throws IOException
    Throws:
      `IOException`

  - ### getNameserviceId

    public abstract String getNameserviceId()
    Get the identifier of the name service to disable.
    Returns:
      Identifier of the name service to disable.

  - ### setNameserviceId

    public abstract void setNameserviceId(String nameServiceId)
    Set the identifier of the name service to disable.
    Parameters:
      `nameServiceId` - Identifier of the name service to disable.

  - ### getPrimaryKeys

    public SortedMap<String,String> getPrimaryKeys()
    Description copied from class: `BaseRecord`
    Map of primary key names to values for the record. The primary key can be a combination of 1-n different State Store serialized values.
    Specified by:
      `getPrimaryKeys` in class `BaseRecord`
    Returns:
      Map of key/value pairs that constitute this object's primary key.

  - ### hasOtherFields

    public boolean hasOtherFields()
    Description copied from class: `BaseRecord`
    If the record has fields others than the primary keys. This is used by TestStateStoreDriverBase to skip the modification check.
    Overrides:
      `hasOtherFields` in class `BaseRecord`
    Returns:
      If the record has more fields.

  - ### getExpirationMs

    public long getExpirationMs()
    Description copied from class: `BaseRecord`
    Get the expiration time for the record.
    Specified by:
      `getExpirationMs` in class `BaseRecord`
    Returns:
      Expiration time for the record.